%define lib_major 0

# optional compile flags
%define enable_python 1
%{?_without_python: %global enable_python 0}

%define req_gtk_version 2.12.1

%define api_version 2.0
%define abi_version 2.10
%define libname	%mklibname %{name} %{api_version}_%{lib_major}
%define devlibname	%mklibname -d %{name}%{api_version}

Summary:	The GNU Image Manipulation Program
Name:		gimp
Version:	2.10.34
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphics
URL:		http://www.gimp.org/
Source1:    gimp.desktop
Source2:    gimp-logo.png
Source13:	gimp-scripting-sample.pl
Patch0:		gimp-2.8.0-link.patch
Patch2:		gimp-2.10.0-desktopentry.patch
Patch4:		gimp-2.10.0-external-help-browser.patch
BuildRequires: OpenEXR-devel
BuildRequires: lib64json-glib-devel
BuildRequires: lib64fontconfig-devel
BuildRequires: lib64babl0.1-devel
BuildRequires: lib64gegl-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gexiv2-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64dbus-glib-1_2-devel
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64xfixes-devel
BuildRequires: lib64xcursor-devel
BuildRequires: lib64gtk+2.0_0-devel
BuildRequires: lib64rsvg2-devel
BuildRequires: lib64gudev1.0-devel
BuildRequires: lib64poppler-glib-devel
BuildRequires: lib64webp-devel
BuildRequires: lib64png1.6-devel
BuildRequires: lib64lcms2-devel
BuildRequires: lib64exif12-devel
BuildRequires: lib64curl-devel
BuildRequires: iso-codes-devel
BuildRequires:	aalib-devel
BuildRequires:	gegl
BuildRequires:	glib-networking
BuildRequires:	libgomp-devel
BuildRequires:	mypaint-brushes-devel
BuildRequires:	poppler-data-devel
BuildRequires:	lib64mypaint-devel
BuildRequires:	gtk-doc
BuildRequires:	lib64alsa2-devel
BuildRequires:	lib64tiff-devel
BuildRequires:	lib64mng-devel
BuildRequires:	lib64jasper-devel
BuildRequires:	perl
BuildRequires:	zlib1-devel
BuildRequires:	lib64xpm-devel
BuildRequires:	lib64xmu-devel
BuildRequires:	bzip2-devel
BuildRequires:	libgs-devel
BuildRequires:	intltool
# python plugin
%if %enable_python
BuildRequires: pygtk2.0-devel
%endif
BuildRequires:  automake
BuildRequires:  libwmf-devel
BuildRequires: lib64xext-devel
BuildRequires:  desktop-file-utils
Provides: gimp1_3 gimp2_0 gimp2_2 gimp2.6
Obsoletes: gimp1_3 gimp2_0 gimp2_2 gimp2.6
Obsoletes: gimp-wavelet-decompose
Obsoletes: gimp-plugin-xmc
Requires:	%{libname} = %{version}
Requires:	mypaint-brushes
Requires:	gimp-python = %{version}
Conflicts:	perl-Gimp < 2.2
Conflicts:	gutenprint-gimp2 < 5.0.1

Requires: lib64gegl0.4_0
Requires: gegl
Requires: lib64babl0.1_0

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get them in http://download.gimp.org/pub/gimp/fonts/ if
you are so inclined.  Alternatively, choose fonts which exist on your
system before running the scripts.

%package -n %{devlibname}
Summary:	GIMP plugin and extension development kit
Group:		Development/Libraries
Requires:	libgtk+2.0-devel >= %{req_gtk_version}
License:	LGPLv2+
Requires:	%{libname} = %{version}
Provides:	gimp-devel = %{version}-%{release}
Provides:	gimp2.6-devel = %{version}-%{release}
Provides:	libgimp-devel = %{version}-%{release}

%description -n %{devlibname}
Static libraries and header files for writing GIMP plugins and extensions.

%package -n %libname
Summary:	GIMP libraries
Group:		System/Libraries
License:	LGPLv2+
Provides:	libgimp%{api_version} = %{version}-%{release}
Obsoletes:	%mklibname gimp 2.6_2.0_0

%description -n %libname
This is the library that provides core GIMP functionality.
It enable other programs to use GIMP's features but is mainly intended
to be used by the GIMP and its "external" plugins.

%package python
Summary:	GIMP python extension
Group:		Development/Python
Requires:	pygtk2.0
Obsoletes: gimp1_3-python, gimp2_0-python, gimp2_2-python

%description python
This package contains the python modules for GIMP, which act as a
wrapper to libgimp allowing the writing of plug-ins for Gimp.
This is similar to script-fu, except that you can use the full set
of Python extension modules from the plug-in, and you write plug-in
in python instead of in scheme.

%prep

%build

pushd %_sourcedir
wget -nc https://download.gimp.org/pub/gimp/v2.10/gimp-%version.tar.bz2
tar -xjf gimp-%version.tar.bz2 -C %_builddir
popd

pushd %_builddir/%{name}-%{version}
%apply_patches

export LD_PRELOAD=libgomp.so.1
sed -i 's!mypaint-brushes-1.0!mypaint-brushes-2.0!g' configure

%configure2_5x \
	--enable-default-binary=yes	\
	--disable-static	\
	--enable-mp=yes		\
%if %enable_python
	--enable-python=yes	\
%else
	--enable-python=no	\
%endif
    --with-bug-report-url=https://pclinuxos.com/forum/ \
	--with-gif-compression=lzw	\
	--enable-gtk-doc=yes \
	--without-webkit \
	--with-x


%make_build

popd

%install
rm -rf %buildroot
pushd %_builddir/%{name}-%{version}
%make_install

#clean unpackaged files
find %buildroot -name '*.la' -delete

# workaround broken help system
HELP_DIR=%{buildroot}%_datadir/gimp/%api_version/help/C
[[ -d $HELP_DIR ]] || mkdir -p $HELP_DIR
HELP_IDX=$HELP_DIR/introduction.html
echo -e '<HTML><HEAD><TITLE>GIMP Base Library</HEAD>\n<BODY><UL>' > $HELP_IDX

/bin/ls %{buildroot}%_datadir/gtk-doc/html/*/index.html | sed -e "s@%{buildroot}@@g" >> $HELP_IDX
perl -pi -e 's!(.*/html/)([^/]*)(/index.html)!<LI><A HREF="\1\2\3">\2</A>!g' $HELP_IDX

echo '</UL></BODY></HTML>' >> $HELP_IDX


%if %enable_python
#chmod 755 %buildroot%_libdir/gimp/%{api_version}/plug-ins/*.py
mkdir -p %{buildroot}%{_libdir}/python%{python2_version}/site-packages
echo %_libdir/gimp/%{api_version}/python > %{buildroot}%{_libdir}/python%{python2_version}/site-packages/gimp.pth
echo %_libdir/gimp/%{api_version}/plug-ins >> %{buildroot}%{_libdir}/python%{python2_version}/site-packages/gimp.pth
%endif

#custom desktop file 
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/gimp.desktop

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

#custom logo picture
install -m 0644 %SOURCE2 %{buildroot}%{_datadir}/gimp/2.0/images/gimp-splash.png

popd

%find_lang gimp20 --all-name

  
%files -f gimp20.lang
%{_bindir}/gimp-test-clipboard-2.0
%{_bindir}/gimp
%{_bindir}/gimp-2.10
%{_bindir}/gimp-console
%{_bindir}/gimp-console-2.10
%{_libexecdir}/gimp-debug-tool-2.0
%{_datadir}/applications/*
%{_datadir}/gimp
%{_datadir}/metainfo/*.xml
%dir %{_libdir}/gimp
%dir %{_libdir}/gimp/%{api_version}
%dir %{_libdir}/gimp/%{api_version}/environ
%{_libdir}/gimp/%{api_version}/interpreters
%{_libdir}/gimp/%{api_version}/environ/default.env
%{_libdir}/gimp/%{api_version}/modules
%{_libdir}/gimp/%{api_version}/plug-ins
%{_mandir}/man1/gimp*
%{_mandir}/man5/gimp*
%_datadir/icons/hicolor/*/apps/gimp.png
%config(noreplace) %{_sysconfdir}/gimp
%doc

%files -n %{devlibname}
%doc %{_datadir}/gtk-doc/html/*
%{_bindir}/gimptool-*
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_mandir}/man1/gimptool-*

%files -n %libname
# explicitly list all libs to avoid old libtool issue
%{_libdir}/libgimpconfig-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimp-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpthumb-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpbase-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpcolor-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpmath-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpmodule-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpui-%{api_version}.so.%{lib_major}*
%{_libdir}/libgimpwidgets-%{api_version}.so.%{lib_major}*

%if %enable_python
%files python
%{_libdir}/gimp/%{api_version}/environ/pygimp.env
%{_libdir}/gimp/%{api_version}/python
%{_libdir}/python%{python2_version}/site-packages/*.pth
%endif


%changelog
* Thu Feb 23 2023 adrianomosrelli <dev@ufficiozero> 2.10.34-3ufficiozero2023
- rebuilded with uzl splash

* Wed Feb 22 2023 tex - 2.10.34-2pclos2023
- rebuild against updates

* Tue Feb 21 2023 tex - 2.10.34-1pclos2022
- new version

* Fri Sep 23 2022 tex - 2.10.32-3pclos2022
- rebuild against updates

* Sat Aug 13 2022 tex - 2.10.32-2pclos2022
- rebuild against new python3

* Mon Jun 13 2022 tex - 2.10.32-1pclos2022
- new version

* Mon Dec 20 2021 tex - 2.10.30-1pclos2021
- new version
